<p class="topic">
<a id="Database_Link_Settings"> </a>
Database Link Settings
</p>

<p class="text">
Use the Settings tab to set the default settings for all new database links.
</p>
<p class="text">
<b>LDAP controls forwarded by database link.</b> This list contains the OIDs of LDAP controls which are allowed to chain. By default, requests made by the following controls are forwarded to the remote server by the database link:
</p>
<ul>

<li>
<p class="text">
Managed DSA control. This control returns smart referrals as entries rather than following the referral. This allows you to modify or delete the smart referral itself. The OID for this control is 2.16.840.1.113730.3.4.2.
</p>
</li>

<li>
<p class="text">
Virtual list view (VLV) control. This control provides lists of parts of entries rather than returning all entry information. The OID of this control is 2.16.840.1.113730.3.4.9.
</p>
</li>

<li>
<p class="text">
Server side sorting control. This control sorts entries according to their attribute values. The OID for this control is 1.2.840.113556.1.4.473.
</p>
</li>

<li>
<p class="text">
Loop detection control. This control contains a count that is decremented each time the server tries to chain. When the server receives a count of 0 it determines that a loop has been detected and notifies the client application. The OID for this control is 1.3.6.1.4.1.1466.29539.12.
</p>
</li>
</ul>
<p class="text">
Click Add to select an LDAP control OID from a list.
</p>
<p class="text">
<b>Components allowed to chain.</b> A component is any functional unit in the server that uses internal operations. You may need to control the chaining policy of some components so that they can complete their operations successfully. By default, all internal operations are not chained. You can override this default by specifying components in this list. 
</p>
<p class="text">
Click Add and select the component you want to allow to chain from the list.
</p>
